Loading...
Searching...
No Matches
elxInstallComponentFunctionDeclarations.h File Reference

Go to the source code of this file.

## Functions

| elxInstallComponentFunctionDeclarationMacro (AdaptiveStochasticGradientDescent)
| elxInstallComponentFunctionDeclarationMacro (AdvancedAffineTransformElastix)
| elxInstallComponentFunctionDeclarationMacro (AdvancedBSplineTransform)
| elxInstallComponentFunctionDeclarationMacro (AdvancedKappaStatisticMetric)
| elxInstallComponentFunctionDeclarationMacro (AdvancedMattesMutualInformationMetric)
| elxInstallComponentFunctionDeclarationMacro (AdvancedMeanSquaresMetric)
| elxInstallComponentFunctionDeclarationMacro (AdvancedNormalizedCorrelationMetric)
| elxInstallComponentFunctionDeclarationMacro (AffineDTITransformElastix)
| elxInstallComponentFunctionDeclarationMacro (AffineLogStackTransform)
| elxInstallComponentFunctionDeclarationMacro (AffineLogTransformElastix)
| elxInstallComponentFunctionDeclarationMacro (BSplineInterpolator)
| elxInstallComponentFunctionDeclarationMacro (BSplineInterpolatorFloat)
| elxInstallComponentFunctionDeclarationMacro (BSplineResampleInterpolator)
| elxInstallComponentFunctionDeclarationMacro (BSplineResampleInterpolatorFloat)
| elxInstallComponentFunctionDeclarationMacro (BSplineStackTransform)
| elxInstallComponentFunctionDeclarationMacro (CMAEvolutionStrategy)
| elxInstallComponentFunctionDeclarationMacro (ConjugateGradient)
| elxInstallComponentFunctionDeclarationMacro (ConjugateGradientFRPR)
| elxInstallComponentFunctionDeclarationMacro (CorrespondingPointsEuclideanDistanceMetric)
| elxInstallComponentFunctionDeclarationMacro (DefaultResampler)
| elxInstallComponentFunctionDeclarationMacro (DeformationFieldTransform)
| elxInstallComponentFunctionDeclarationMacro (DisplacementMagnitudePenalty)
| elxInstallComponentFunctionDeclarationMacro (DistancePreservingRigidityPenalty)
| elxInstallComponentFunctionDeclarationMacro (EulerStackTransform)
| elxInstallComponentFunctionDeclarationMacro (EulerTransformElastix)
| elxInstallComponentFunctionDeclarationMacro (ExternalTransform)
| elxInstallComponentFunctionDeclarationMacro (FiniteDifferenceGradientDescent)
| elxInstallComponentFunctionDeclarationMacro (FixedGenericPyramid)
| elxInstallComponentFunctionDeclarationMacro (FixedRecursivePyramid)
| elxInstallComponentFunctionDeclarationMacro (FixedShrinkingPyramid)
| elxInstallComponentFunctionDeclarationMacro (FixedSmoothingPyramid)
| elxInstallComponentFunctionDeclarationMacro (FullSampler)
| elxInstallComponentFunctionDeclarationMacro (FullSearch)
| elxInstallComponentFunctionDeclarationMacro (GradientDifferenceMetric)
| elxInstallComponentFunctionDeclarationMacro (GridSampler)
| elxInstallComponentFunctionDeclarationMacro (KNNGraphAlphaMutualInformationMetric)
| elxInstallComponentFunctionDeclarationMacro (LinearInterpolator)
| elxInstallComponentFunctionDeclarationMacro (LinearResampleInterpolator)
| elxInstallComponentFunctionDeclarationMacro (MissingStructurePenalty)
| elxInstallComponentFunctionDeclarationMacro (MovingGenericPyramid)
| elxInstallComponentFunctionDeclarationMacro (MovingRecursivePyramid)
| elxInstallComponentFunctionDeclarationMacro (MovingShrinkingPyramid)
| elxInstallComponentFunctionDeclarationMacro (MovingSmoothingPyramid)
| elxInstallComponentFunctionDeclarationMacro (MultiBSplineTransformWithNormal)
| elxInstallComponentFunctionDeclarationMacro (MultiInputRandomCoordinateSampler)
| elxInstallComponentFunctionDeclarationMacro (MultiMetricMultiResolutionRegistration)
| elxInstallComponentFunctionDeclarationMacro (MultiResolutionRegistration)
| elxInstallComponentFunctionDeclarationMacro (MultiResolutionRegistrationWithFeatures)
| elxInstallComponentFunctionDeclarationMacro (NearestNeighborInterpolator)
| elxInstallComponentFunctionDeclarationMacro (NearestNeighborResampleInterpolator)
| elxInstallComponentFunctionDeclarationMacro (NormalizedGradientCorrelationMetric)
| elxInstallComponentFunctionDeclarationMacro (NormalizedMutualInformationMetric)
| elxInstallComponentFunctionDeclarationMacro (PatternIntensityMetric)
| elxInstallComponentFunctionDeclarationMacro (PCAMetric)
| elxInstallComponentFunctionDeclarationMacro (PCAMetric2)
| elxInstallComponentFunctionDeclarationMacro (PolydataDummyPenalty)
| elxInstallComponentFunctionDeclarationMacro (Powell)
| elxInstallComponentFunctionDeclarationMacro (PreconditionedStochasticGradientDescent)
| elxInstallComponentFunctionDeclarationMacro (QuasiNewtonLBFGS)
| elxInstallComponentFunctionDeclarationMacro (RandomCoordinateSampler)
| elxInstallComponentFunctionDeclarationMacro (RandomSampler)
| elxInstallComponentFunctionDeclarationMacro (RandomSamplerSparseMask)
| elxInstallComponentFunctionDeclarationMacro (RayCastInterpolator)
| elxInstallComponentFunctionDeclarationMacro (RayCastResampleInterpolator)
| elxInstallComponentFunctionDeclarationMacro (RecursiveBSplineTransform)
| elxInstallComponentFunctionDeclarationMacro (ReducedDimensionBSplineInterpolator)
| elxInstallComponentFunctionDeclarationMacro (ReducedDimensionBSplineResampleInterpolator)
| elxInstallComponentFunctionDeclarationMacro (RegularStepGradientDescent)
| elxInstallComponentFunctionDeclarationMacro (RSGDEachParameterApart)
| elxInstallComponentFunctionDeclarationMacro (SimilarityTransformElastix)
| elxInstallComponentFunctionDeclarationMacro (Simplex)
| elxInstallComponentFunctionDeclarationMacro (SimultaneousPerturbation)
| elxInstallComponentFunctionDeclarationMacro (SplineKernelTransform)
| elxInstallComponentFunctionDeclarationMacro (StandardGradientDescent)
| elxInstallComponentFunctionDeclarationMacro (StatisticalShapePenalty)
| elxInstallComponentFunctionDeclarationMacro (SumOfPairwiseCorrelationCoefficientsMetric)
| elxInstallComponentFunctionDeclarationMacro (SumSquaredTissueVolumeDifferenceMetric)
| elxInstallComponentFunctionDeclarationMacro (TransformBendingEnergyPenalty)
| elxInstallComponentFunctionDeclarationMacro (TransformRigidityPenalty)
| elxInstallComponentFunctionDeclarationMacro (TranslationStackTransform)
| elxInstallComponentFunctionDeclarationMacro (TranslationTransformElastix)
| elxInstallComponentFunctionDeclarationMacro (VarianceOverLastDimensionMetric)
| elxInstallComponentFunctionDeclarationMacro (WeightedCombinationTransformElastix)

## Function Documentation

## elxInstallComponentFunctionDeclarationMacro() [1/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdaptiveStochasticGradientDescent |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [2/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedAffineTransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [3/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedBSplineTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [4/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedKappaStatisticMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [5/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedMattesMutualInformationMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [6/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedMeanSquaresMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [7/83]

elxInstallComponentFunctionDeclarationMacro | ( | AdvancedNormalizedCorrelationMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [8/83]

elxInstallComponentFunctionDeclarationMacro | ( | AffineDTITransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [9/83]

elxInstallComponentFunctionDeclarationMacro | ( | AffineLogStackTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [10/83]

elxInstallComponentFunctionDeclarationMacro | ( | AffineLogTransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [11/83]

elxInstallComponentFunctionDeclarationMacro | ( | BSplineInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [12/83]

elxInstallComponentFunctionDeclarationMacro | ( | BSplineInterpolatorFloat |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [13/83]

elxInstallComponentFunctionDeclarationMacro | ( | BSplineResampleInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [14/83]

elxInstallComponentFunctionDeclarationMacro | ( | BSplineResampleInterpolatorFloat |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [15/83]

elxInstallComponentFunctionDeclarationMacro | ( | BSplineStackTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [16/83]

elxInstallComponentFunctionDeclarationMacro | ( | CMAEvolutionStrategy |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [17/83]

elxInstallComponentFunctionDeclarationMacro | ( | ConjugateGradient |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [18/83]

elxInstallComponentFunctionDeclarationMacro | ( | ConjugateGradientFRPR |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [19/83]

elxInstallComponentFunctionDeclarationMacro | ( | CorrespondingPointsEuclideanDistanceMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [20/83]

elxInstallComponentFunctionDeclarationMacro | ( | DefaultResampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [21/83]

elxInstallComponentFunctionDeclarationMacro | ( | DeformationFieldTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [22/83]

elxInstallComponentFunctionDeclarationMacro | ( | DisplacementMagnitudePenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [23/83]

elxInstallComponentFunctionDeclarationMacro | ( | DistancePreservingRigidityPenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [24/83]

elxInstallComponentFunctionDeclarationMacro | ( | EulerStackTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [25/83]

elxInstallComponentFunctionDeclarationMacro | ( | EulerTransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [26/83]

elxInstallComponentFunctionDeclarationMacro | ( | ExternalTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [27/83]

elxInstallComponentFunctionDeclarationMacro | ( | FiniteDifferenceGradientDescent |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [28/83]

elxInstallComponentFunctionDeclarationMacro | ( | FixedGenericPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [29/83]

elxInstallComponentFunctionDeclarationMacro | ( | FixedRecursivePyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [30/83]

elxInstallComponentFunctionDeclarationMacro | ( | FixedShrinkingPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [31/83]

elxInstallComponentFunctionDeclarationMacro | ( | FixedSmoothingPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [32/83]

elxInstallComponentFunctionDeclarationMacro | ( | FullSampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [33/83]

elxInstallComponentFunctionDeclarationMacro | ( | FullSearch |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [34/83]

elxInstallComponentFunctionDeclarationMacro | ( | GradientDifferenceMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [35/83]

elxInstallComponentFunctionDeclarationMacro | ( | GridSampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [36/83]

elxInstallComponentFunctionDeclarationMacro | ( | KNNGraphAlphaMutualInformationMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [37/83]

elxInstallComponentFunctionDeclarationMacro | ( | LinearInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [38/83]

elxInstallComponentFunctionDeclarationMacro | ( | LinearResampleInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [39/83]

elxInstallComponentFunctionDeclarationMacro | ( | MissingStructurePenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [40/83]

elxInstallComponentFunctionDeclarationMacro | ( | MovingGenericPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [41/83]

elxInstallComponentFunctionDeclarationMacro | ( | MovingRecursivePyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [42/83]

elxInstallComponentFunctionDeclarationMacro | ( | MovingShrinkingPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [43/83]

elxInstallComponentFunctionDeclarationMacro | ( | MovingSmoothingPyramid |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [44/83]

elxInstallComponentFunctionDeclarationMacro | ( | MultiBSplineTransformWithNormal |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [45/83]

elxInstallComponentFunctionDeclarationMacro | ( | MultiInputRandomCoordinateSampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [46/83]

elxInstallComponentFunctionDeclarationMacro | ( | MultiMetricMultiResolutionRegistration |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [47/83]

elxInstallComponentFunctionDeclarationMacro | ( | MultiResolutionRegistration |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [48/83]

elxInstallComponentFunctionDeclarationMacro | ( | MultiResolutionRegistrationWithFeatures |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [49/83]

elxInstallComponentFunctionDeclarationMacro | ( | NearestNeighborInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [50/83]

elxInstallComponentFunctionDeclarationMacro | ( | NearestNeighborResampleInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [51/83]

elxInstallComponentFunctionDeclarationMacro | ( | NormalizedGradientCorrelationMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [52/83]

elxInstallComponentFunctionDeclarationMacro | ( | NormalizedMutualInformationMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [53/83]

elxInstallComponentFunctionDeclarationMacro | ( | PatternIntensityMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [54/83]

elxInstallComponentFunctionDeclarationMacro | ( | PCAMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [55/83]

elxInstallComponentFunctionDeclarationMacro | ( | PCAMetric2 |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [56/83]

elxInstallComponentFunctionDeclarationMacro | ( | PolydataDummyPenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [57/83]

elxInstallComponentFunctionDeclarationMacro | ( | Powell |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [58/83]

elxInstallComponentFunctionDeclarationMacro | ( | PreconditionedStochasticGradientDescent |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [59/83]

elxInstallComponentFunctionDeclarationMacro | ( | QuasiNewtonLBFGS |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [60/83]

elxInstallComponentFunctionDeclarationMacro | ( | RandomCoordinateSampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [61/83]

elxInstallComponentFunctionDeclarationMacro | ( | RandomSampler |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [62/83]

elxInstallComponentFunctionDeclarationMacro | ( | RandomSamplerSparseMask |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [63/83]

elxInstallComponentFunctionDeclarationMacro | ( | RayCastInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [64/83]

elxInstallComponentFunctionDeclarationMacro | ( | RayCastResampleInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [65/83]

elxInstallComponentFunctionDeclarationMacro | ( | RecursiveBSplineTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [66/83]

elxInstallComponentFunctionDeclarationMacro | ( | ReducedDimensionBSplineInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [67/83]

elxInstallComponentFunctionDeclarationMacro | ( | ReducedDimensionBSplineResampleInterpolator |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [68/83]

elxInstallComponentFunctionDeclarationMacro | ( | RegularStepGradientDescent |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [69/83]

elxInstallComponentFunctionDeclarationMacro | ( | RSGDEachParameterApart |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [70/83]

elxInstallComponentFunctionDeclarationMacro | ( | SimilarityTransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [71/83]

elxInstallComponentFunctionDeclarationMacro | ( | Simplex |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [72/83]

elxInstallComponentFunctionDeclarationMacro | ( | SimultaneousPerturbation |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [73/83]

elxInstallComponentFunctionDeclarationMacro | ( | SplineKernelTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [74/83]

elxInstallComponentFunctionDeclarationMacro | ( | StandardGradientDescent |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [75/83]

elxInstallComponentFunctionDeclarationMacro | ( | StatisticalShapePenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [76/83]

elxInstallComponentFunctionDeclarationMacro | ( | SumOfPairwiseCorrelationCoefficientsMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [77/83]

elxInstallComponentFunctionDeclarationMacro | ( | SumSquaredTissueVolumeDifferenceMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [78/83]

elxInstallComponentFunctionDeclarationMacro | ( | TransformBendingEnergyPenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [79/83]

elxInstallComponentFunctionDeclarationMacro | ( | TransformRigidityPenalty |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [80/83]

elxInstallComponentFunctionDeclarationMacro | ( | TranslationStackTransform |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [81/83]

elxInstallComponentFunctionDeclarationMacro | ( | TranslationTransformElastix |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [82/83]

elxInstallComponentFunctionDeclarationMacro | ( | VarianceOverLastDimensionMetric |  | ) |

## elxInstallComponentFunctionDeclarationMacro() [83/83]

elxInstallComponentFunctionDeclarationMacro | ( | WeightedCombinationTransformElastix |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |